@dan rathbun said:
What about ??
Sketchup.active_model.shadow_info['Latitude'] Sketchup.active_model.shadow_info['Longitude']
I believe these are set by the Model Info > Location feature.
Thank you Dan and Jim.
Still, I can't figure it out.
Simply as an example,
# Access the Entities object
model = Sketchup.active_model
ent = model.entities
# Create the 2-D shape of the axis
axis = ent.add_face [0, -500, 0], [250, -433, 0],
[433, -250, 0], [500, 0, 0],
[433,250, 0], [250, 433, 0],
[0, 500, 0], [-250, 433, 0],
[-433, 250, 0], [-500, 0, 0],
[-433, -250, 0], [-250, -433, 0], [0, -500, 0]
# Create the 3-D shape of the axis
total_depth = -2060
axis.pushpull total_depth
#creat one simple 3-d vector, North at the bottom
vector1 =ent.add_face [-500,0,0],[500,0,0],
[500,1500,0],[750,1500,0],
[0,2000,0],[-750,1500,0],
[-500,1500,0]
vector_depth=-50
vector1.pushpull vector_depth
Here is my simple code, if I want to they located at lat= 10, lon=10, how to manege it?
Really appratiate.